const Sequelize = require("sequelize");
const bcryptjs = require("bcryptjs");
const sequelizeConnect = require("../connection/db");

const AdminExternalActionsLogs = sequelizeConnect.define(
  "admin_external_actions_logs",
  {
    id: {
      type: Sequelize.BIGINT,
      primaryKey: true,
      allowNull: false,
      autoIncrement: true,
    },
    admin_token: {
      type: Sequelize.STRING(300),
      allowNull: false,
    },
    action_reference_no: {
      type: Sequelize.STRING(300),
      allowNull: false,
    },
  },
  {
    tableName: "admin_external_actions_logs",
    timestamps: false,
  }
);

module.exports = AdminExternalActionsLogs;
